package com.easefun.polyvsdk;

import android.support.annotation.NonNull;
import android.support.annotation.Nullable;

import com.easefun.polyvsdk.vo.PolyvADMatterVO;
import com.easefun.polyvsdk.vo.PolyvPlayerVO;
import com.easefun.polyvsdk.vo.PolyvResolutionVO;
import com.easefun.polyvsdk.vo.PolyvVideoVO;
import com.easefun.polyvsdk.vo.listener.PolyvVideoVOLoadedListener;

import java.util.List;
import java.util.Map;

/**
 * 视频对象<br/>
 * 改为 {@link com.easefun.polyvsdk.vo.PolyvVideoVO}
 * @version 1.0
 * @author Lion 2015-9-11
 * @see com.easefun.polyvsdk.vo.PolyvVideoVO
 */
@Deprecated
public class Video extends PolyvVideoVO {
	public Video(int outBr, String teaserUrl, String swfLink, String hlsLevel, int myBr, int status, int seed, String videoLink,
				 Map<String, String> videoSRT, List<String> mp4, List<PolyvResolutionVO> resolution, int teaserShow, String hlsIndex,
				 List<String> hls, int dfNum, boolean interactiveVideo, List<Long> fileSize, String duration, String title, String firstImage,
				 double ratio, String disableHost, PolyvPlayerVO player, int openDanmu, boolean outflow, Map<String, List<PolyvADMatterVO>> adMatterMap,
				 String validUrl, int settingType, int teaserTime, String enableHost, boolean timeoutFlow, boolean isFromDownload, int fullmp4,
				 List<Long> tsFileSize, String cataTree, long cataId, String hls15XIndex, List<String> hls15X, int seedConst, String hlsIndex2,
				 List<String> hls2, List<String> packageUrl, String keepsource, String playSourceUrl, long sourceFileSize) {
		this(outBr, teaserUrl, swfLink, hlsLevel, myBr, status, seed, videoLink, videoSRT, mp4, resolution, teaserShow, hlsIndex, hls, dfNum,
				interactiveVideo, fileSize, duration, title, firstImage, ratio, disableHost, player, openDanmu, outflow, adMatterMap, validUrl,
				settingType, teaserTime, enableHost, timeoutFlow, isFromDownload, fullmp4, tsFileSize, cataTree, cataId, hls15XIndex, hls15X,
				seedConst, hlsIndex2, hls2, packageUrl, keepsource, playSourceUrl, sourceFileSize, 0, "");
	}

	public Video(int outBr, String teaserUrl, String swfLink, String hlsLevel, int myBr, int status, int seed, String videoLink,
				 Map<String, String> videoSRT, List<String> mp4, List<PolyvResolutionVO> resolution, int teaserShow, String hlsIndex,
				 List<String> hls, int dfNum, boolean interactiveVideo, List<Long> fileSize, String duration, String title, String firstImage,
				 double ratio, String disableHost, PolyvPlayerVO player, int openDanmu, boolean outflow, Map<String, List<PolyvADMatterVO>> adMatterMap,
				 String validUrl, int settingType, int teaserTime, String enableHost, boolean timeoutFlow, boolean isFromDownload, int fullmp4,
				 List<Long> tsFileSize, String cataTree, long cataId, String hls15XIndex, List<String> hls15X, int seedConst, String hlsIndex2,
				 List<String> hls2, List<String> packageUrl, String keepsource, String playSourceUrl, long sourceFileSize, long timestamp, String aac_link) {
		super(outBr, teaserUrl, swfLink, hlsLevel, myBr, status, seed, videoLink, videoSRT, mp4, resolution, teaserShow, hlsIndex, hls, dfNum,
				interactiveVideo, fileSize, duration, title, firstImage, ratio, disableHost, player, openDanmu, outflow, adMatterMap, validUrl,
				settingType, teaserTime, enableHost, timeoutFlow, isFromDownload, fullmp4, tsFileSize, cataTree, cataId, hls15XIndex, hls15X,
				seedConst, hlsIndex2, hls2, packageUrl, keepsource, playSourceUrl, sourceFileSize, timestamp, aac_link);
	}

	/**
	 * HLS播放速度类型，请使用{@link com.easefun.polyvsdk.video.PolyvVideoView}.{@code setSpeed(float)}设置播放速度
	 * @author TanQu 2016-8-26
	 */
	@Deprecated
	public enum HlsSpeedType {
		/** 1倍速 */
		SPEED_1X("1x"),
		/** 1.5倍速 */
		SPEED_1_5X("15x");

		private final String name;
		HlsSpeedType(String name) {
			this.name = name;
		}

		public String getName() {
			return name;
		}

		@Nullable
		public static HlsSpeedType getHlsSpeedType(@NonNull String name) {
			if (SPEED_1X.getName().equals(name)) {
				return SPEED_1X;
			} else if (SPEED_1_5X.getName().equals(name)) {
				return SPEED_1_5X;
			}

			return null;
		}
	}

	/**
	 * 视频加载完成接口
	 * @version 1.0
	 * @author TanQu 2015-9-11
	 * @see PolyvVideoVOLoadedListener
	 */
	@Deprecated
	public interface OnVideoLoaded extends PolyvVideoVOLoadedListener {
		
	};
	
	/**
	 * 分辨率 see {@link com.easefun.polyvsdk.vo.PolyvResolutionVO}
	 * @version 1.0
	 * @author TanQu 2015-9-11
	 * @see com.easefun.polyvsdk.vo.PolyvResolutionVO
	 */
	@Deprecated
	public static class Resolution extends PolyvResolutionVO {
		public Resolution(int width, int height) {
			super(width, height);
		}
	}
	
	/**
	 * 播放器 see {@link com.easefun.polyvsdk.vo.PolyvPlayerVO}
	 * @version 1.0
	 * @author TanQu 2015-9-15
	 * @see com.easefun.polyvsdk.vo.PolyvPlayerVO
	 */
	@Deprecated
	public static class Player extends PolyvPlayerVO {
		public Player(String zColor, String skinColor, String pColor) {
			super(zColor, skinColor, pColor);
		}
	}
	
	/**
	 * 广告 see {@link com.easefun.polyvsdk.vo.PolyvADMatterVO}
	 * @version 1.0
	 * @author TanQu 2016-3-2
	 * @see com.easefun.polyvsdk.vo.PolyvADMatterVO
	 */
	@Deprecated
	public static class ADMatter extends PolyvADMatterVO {
		public ADMatter(String addrUrl, int adHeight, String adId, int adType, int adWidth, long cataId,
				String location, String matterUrl, int timeSize) {
			super(addrUrl, adHeight, adId, adType, adWidth, cataId, location, matterUrl, timeSize);
		}
	}
}
