package com.easefun.polyvsdk.video.listener;

import android.support.annotation.MainThread;
import android.support.annotation.NonNull;

/**
 * 问答答案提示回调，主线程中回调
 * @author TanQu 2017-3-23
 */
public interface IPolyvOnQuestionAnswerTipsListener {
	/**
	 * 提示
	 * @param msg
	 */
	@MainThread
	void onTips(@NonNull String msg);

	/**
	 *  回答提示 同时回退秒数
	 * @param msg 回答提示
	 * @param seek 回退秒数
	 */
	@MainThread
	void onTips(@NonNull String msg,int seek);
}
