package com.easefun.polyvsdk.video.listener;

import android.support.annotation.MainThread;
import android.support.annotation.Nullable;

import com.easefun.polyvsdk.srt.PolyvSRTItemVO;

import java.util.List;

/**
 * 视频字幕监听回调，主线程中回调
 * @version 2.0
 * @author TanQu 2017-3-23
 */
public abstract class IPolyvOnVideoSRTListener {
	@MainThread
	@Deprecated
	public void onVideoSRT(@Nullable PolyvSRTItemVO subTitleItem) {
	}

	public void onVideoSRT(@Nullable List<PolyvSRTItemVO> subTitleItems) {
	}
}
