package com.easefun.polyvsdk.vo;

/**
 * 视频进度VO
 * @author Lionel 2016-8-18
 */
public class PolyvVideoProgressVO {
	private final String vid;
	private final int progress;
	private final long saveTimeMillis;

	public PolyvVideoProgressVO(String vid, int progress) {
		this(vid, progress, 0);
	}

	public PolyvVideoProgressVO(String vid, int progress, long saveTimeMillis) {
		super();
		this.vid = vid;
		this.progress = progress;
		this.saveTimeMillis = saveTimeMillis;
	}

	public String getVid() {
		return vid;
	}

	public int getProgress() {
		return progress;
	}

	public long getSaveTimeMillis() {
		return saveTimeMillis;
	}
}
